<?php

//Clase de Paises
class clase{
  	var  $nom_tabla = '0';
	var  $no_reg = '0';
	var  $cve_nomi = '0';
	var  $no_nomi = '0';
	var  $fec_ini = '0';
	var  $fec_fin = '0';
	var  $des_nomi = '0';
	var  $axo_mes = '0';
	var  $act_nom = '0';
	var  $tip_pol = '0';
	var  $fec_pol = '0';
	var  $num_pol = '0';
	var  $fec_acc = '0';
	var  $hor_acc = '0';
	var  $usuario = '0';
	var  $axo = '0';
	//constructor
	function clase($nomtabla,$fecpro,$cvenomi,$usu){
		$this->nom_tabla = $nomtabla;
		$this->axo_mes = $fecpro;
		$this->cve_nomi = $cvenomi;
		$this->usuario = $usu;
		$this->no_nomi = $this->visCont()+1;
	}
	
	//Funcion de Revicion	
	function revisarPD($nopd){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and no_nomina = '$this->no_nomina' and no_pd = '$nopd' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	function visCont(){
		$sql="select * from $this->nom_tabla where cve_nomi='$this->cve_nomi' and axo_mes ='$this->axo_mes' order by no_nomi desc";
		$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			$res = mysqli_query($GLOBALS['con'] ,$sql);
			$arres=mysqli_fetch_array($res);
			return $arres["no_nomi"];
		}else{
			return '0';
		}
	}
	function actCont(){
		return $this->no_nomi;
	}
	function modCont($cont){
		$this->no_nomi=$cont;
	}
	//Funcion de Agregar
	function agregar($fec_ini, $fec_fin, $des_nomi, $act_nom, $tip_pol, $fec_pol, $num_pol){
		$sql = "insert into $this->nom_tabla (no_nomi, cve_nomi, fec_ini, fec_fin, des_nomi, axo_mes, act_nom, tip_pol, fec_pol, num_pol, fec_acc, hor_acc, usuario) values('$this->no_nomi','$this->cve_nomi','$fec_ini', '$fec_fin', '$des_nomi', '$this->axo_mes', '$act_nom', '$tip_pol', '$fec_pol', '$num_pol', '" .date('Y-m-d'). "','".date('H:i:s')."', '$this->usuario')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	//Funcion de Lista Completa
	function listaElem(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
//Funcion de Lista con Busqueda
	function listaBusq(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and no_nomina = '$this->no_nomina' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' order by operac desc";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	//Funcion de lista con busqueda registro
	function listaBusEle($noreg){
		$sql = "SELECT * FROM $this->nom_tabla where no_reg='$noreg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
//Funcion de Modificar
	function modifica($noreg,$fec_ini, $fec_fin, $des_nomi, $act_nom, $tip_pol, $fec_pol, $num_pol,$nonomi){
		$sql = "update $this->nom_tabla set fec_ini='$fec_ini', fec_fin='$fec_fin', des_nomi='$des_nomi', act_nom='$act_nom', tip_pol='$tip_pol', fec_pol='$fec_pol', num_pol='$num_pol',no_nomi='$nonomi' where no_reg='$noreg'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($noreg){   
		$sql = "delete from $this->nom_tabla where no_reg='$noreg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado)
			return "ok";
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";         
	}
}       
?>